Page MenuHomePhabricator

ci: silence libtool
AbandonedPublic

Authored by stefan_schmidt on Jul 23 2018, 4:46 AM.

Details

Summary

attempt to disable some libtool warnings throughout the build

Depends on D6656

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 7166
zmike created this revision.Jul 23 2018, 4:46 AM
zmike requested review of this revision.Jul 23 2018, 4:46 AM
zmike updated this revision to Diff 15895.Jul 25 2018, 8:53 AM
zmike edited the summary of this revision. (Show Details)
bu5hm4n accepted this revision.Aug 3 2018, 12:46 AM
This revision is now accepted and ready to land.Aug 3 2018, 12:46 AM
bu5hm4n requested changes to this revision.Aug 3 2018, 12:47 AM

have you looked at --quite ?

This revision now requires changes to proceed.Aug 3 2018, 12:47 AM
stefan_schmidt accepted this revision.Aug 3 2018, 4:37 AM
stefan_schmidt requested changes to this revision.Aug 3 2018, 4:46 AM

I just checked and the actual option in libtoolize is --no-warnings and not --no-warn in my manpage. Also worth checking if --quit is enough as Marcel suggested.

zmike requested review of this revision.Aug 6 2018, 4:05 AM

It's --no-warn for libtoolize according to the docs? --quiet is controlled by automake silent rules, so this is already applied.

https://www.gnu.org/software/libtool/manual/html_node/Invoking-libtoolize.html

stefan_schmidt accepted this revision.Aug 16 2018, 2:45 AM

Strange, my libtoolize man page states:

NAME

libtoolize - manual page for libtoolize 2.4.4.19-fda4

[...]

--no-warnings
       equivalent to '-Wnone'

[...]

But as long as you have seen the warnings to be gone on Travis with --no-warn it might be a libtoolize version mismatch that needs different arguments?

This is odd. Git phab apply refused to apply this patch for me. Tried various attempts and the patch context looks fine, but it does not apply.

When I go the manual route and just apply the raw diff with patch manually it does succeed.

Feel free to push this one yourself as you have it in tree already.

I tried again and still no chance to get it applied here.

Approved allready. @zmike please go ahead and land this one yourself.

stefan_schmidt commandeered this revision.Sep 14 2018, 4:07 AM
stefan_schmidt edited reviewers, added: zmike; removed: stefan_schmidt.

Taking over as I hand edited the patch and pushed

stefan_schmidt abandoned this revision.Sep 14 2018, 4:08 AM